#
# Copyright 2012 Doerzbach Engineering GmbH 
#
# http://www.doerzbach.com
# 
# Written by Armin Doerzbach 
# 
cwd=`pwd`
cd `dirname $0`
bindir=`pwd`
basedir=`dirname $bindir`
cd $cwd

log(){
  case $1 in 
    D) TAG="DEBUG"
       [ "$LOGLEVEL" != "DEBUG" ] && return ;;
    I) TAG="INFO"
       [ "$LOGLEVEL" != "INFO" -a "$LOGLEVEL" != "DEBUG" ] && return ;;
    E) TAG="ERROR";;
    W) TAG="WARNING";;
    A) TAG="ALARM";;
    *) TAG="UNKNOWN" ;;
  esac
  shift
  echo `date +'%d.%m.%y %H:%M:%S'` $TAG $* 
}

do_alarming(){
  log A $*
  if [ -n "$MAILADDRESS" ] ; then
     echo $* | mailx -s ALARM $MAILADDRESS
  fi
}

getservices(){
  cd $basedir/etc/svcsdefinition
  for i in `grep -l srchost=$1 *` ; do
    svcs -H -o fmri zfsrepl:$i 2>/dev/null
  done
}
